For the complete documentation index, see llms.txt. This page is also available as Markdown.

Partner

Endpoints партнерского кабинета: сводка, статистика, рефералы, партнерские обмены и выплаты.

Партнерская сводка

Partner profile and summary

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/partner
GET /api/v3/private/partner HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Standard success envelope.

{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Партнерская статистика

Partner aggregated statistics

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/partner/statistics
GET /api/v3/private/partner/statistics HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Standard success envelope.

{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Рефералы партнера

Attracted clients list

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Query parameters
pageinteger · min: 1OptionalDefault: 1
per_pageinteger · min: 1 · max: 100OptionalDefault: 25
paginationstring · enumOptional

Use cursor for large datasets. The first cursor page uses pagination=cursor; next pages use cursor.

Default: pagePossible values:
cursorstring · nullableOptional

Opaque cursor returned in meta.pagination.next_cursor.

filter[id]integerOptional
filter[client_id]integerOptional
filter[client_email]stringOptional
filter[client_name]stringOptional
filter[created_from]string · date-timeOptional
filter[created_to]string · date-timeOptional
Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/partner/referrals
GET /api/v3/private/partner/referrals HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Standard success envelope.

{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Партнерские обмены

Referral bonus exchanges

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Query parameters
pageinteger · min: 1OptionalDefault: 1
per_pageinteger · min: 1 · max: 100OptionalDefault: 25
paginationstring · enumOptional

Use cursor for large datasets. The first cursor page uses pagination=cursor; next pages use cursor.

Default: pagePossible values:
cursorstring · nullableOptional

Opaque cursor returned in meta.pagination.next_cursor.

filter[id]integerOptional
filter[order_id]integerOptional
filter[client_id]integerOptional
filter[status]stringOptional
filter[order_public_id]stringOptional
filter[order_tracking_id]stringOptional
filter[client_email]stringOptional
filter[bonus_min]stringOptional
filter[bonus_max]stringOptional
filter[created_from]string · date-timeOptional
filter[created_to]string · date-timeOptional
Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/partner/exchanges
GET /api/v3/private/partner/exchanges HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Standard success envelope.

{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Партнерские выплаты

Partner payout requests

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Query parameters
pageinteger · min: 1OptionalDefault: 1
per_pageinteger · min: 1 · max: 100OptionalDefault: 25
paginationstring · enumOptional

Use cursor for large datasets. The first cursor page uses pagination=cursor; next pages use cursor.

Default: pagePossible values:
cursorstring · nullableOptional

Opaque cursor returned in meta.pagination.next_cursor.

filter[id]integerOptional
filter[public_id]stringOptional
filter[wallet]stringOptional
filter[tx_id]stringOptional
filter[status]string · enumOptionalPossible values:
filter[currency]stringOptional
filter[amount_min]stringOptional
filter[amount_max]stringOptional
filter[created_from]string · date-timeOptional
filter[created_to]string · date-timeOptional
Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/partner/payouts
GET /api/v3/private/partner/payouts HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Standard success envelope.

{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Последнее обновление

Это было полезно?